### Method

# Fwupd Client modify_remote_async

#### Declaration [src]

    void
    fwupd_client_modify_remote_async (
      FwupdClient* self,
      const gchar* remote_id,
      const gchar* key,
      const gchar* value,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer callback_data
    )

#### Description [src]

Modifies a system remote in a specific way.

Available since: | 1.5.0

#### Parameters

`remote_id` | `const gchar*`
| The remote ID, e.g. `lvfs-testing`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`key` | `const gchar*`
| The key, e.g. `Enabled`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `const gchar*`
| The key, e.g. `true`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| The function to run on completion.
| The argument can be `NULL`.
`callback_data` | `gpointer`
| The data to pass to `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.